## kvpm 0.4.5b

=== kvpm/CMakeLists.txt ===
project (kvpm)
 
find_package(KDE4 REQUIRED)
include_directories( ${KDE4_INCLUDES} ${QT4_INCLUDES} )
 
set(kvpm_SRCS addmirror.cpp devicemodel.cpp deviceproperties.cpp 
	     devicepropertiesstack.cpp devicesizechart.cpp devicesizechartseg.cpp 
	     devicetab.cpp executablefinder.cpp 
	     fsprobe.cpp logvol.cpp lvactionsmenu.cpp lvchange.cpp lvrename.cpp
	     lvcreate.cpp lvproperties.cpp lvpropertiesstack.cpp lvreduce.cpp 
	     lvremove.cpp lvsizechart.cpp main.cpp mkfs.cpp masterlist.cpp  mount.cpp 
	     lvsizechartseg.cpp mountentry.cpp mountinfo.cpp 
	     partitionproperties.cpp pvproperties.cpp  pvpropertiesstack.cpp 
	     partitionpropertiesstack.cpp devicetreeview.cpp physvol.cpp 
	     nomungecheck.cpp processprogress.cpp pvchange.cpp pvcreate.cpp 
	     pvmove.cpp pvremove.cpp pvtree.cpp removemissing.cpp removemirror.cpp 
	     removemirrorleg.cpp
	     sizetostring.cpp storagepartition.cpp storagedevice.cpp topwindow.cpp 
	     unmount.cpp 
	     vgchangealloc.cpp vgchangeavailable.cpp vgexport.cpp vgimport.cpp
	     vgchangeextent.cpp vgchangelv.cpp vgchangepv.cpp 
	     vgchangeresize.cpp vgcreate.cpp vgextend.cpp vginfolabels.cpp 
	     vgreduce.cpp vgremove.cpp vgtree.cpp volgroup.cpp vgreduceone.cpp
	     vgrename.cpp volumegrouptab.cpp)
 
kde4_add_executable(kvpm ${kvpm_SRCS})
target_link_libraries(kvpm ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${QT_LIBRARIES} blkid parted)

## kvpm 0.6.2

=== kvpm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project (kvpm)
 
find_package(KDE4 REQUIRED)
include_directories( ${KDE4_INCLUDES} ${QT4_INCLUDES} )
 
set(kvpm_SRCS addmirror.cpp kvpmconfigdialog.cpp devicemodel.cpp deviceproperties.cpp 
              devicepropertiesstack.cpp devicesizechart.cpp devicesizechartseg.cpp 
	      devicetab.cpp executablefinder.cpp deviceactionsmenu.cpp fsck.cpp
	      fsblocksize.cpp
	      fsprobe.cpp growfs.cpp growpv.cpp kvpmsetup.cpp
	      logvol.cpp lvactionsmenu.cpp lvchange.cpp lvrename.cpp
	      lvcreate.cpp lvproperties.cpp lvpropertiesstack.cpp lvreduce.cpp 
	      lvremove.cpp lvsizechart.cpp main.cpp mkfs.cpp masterlist.cpp  mount.cpp 
	      lvsizechartseg.cpp mountentry.cpp mountinfo.cpp 
	      partremove.cpp 
	      partaddgraphic.cpp partadd.cpp pvproperties.cpp  pvpropertiesstack.cpp 
	      devicetreeview.cpp physvol.cpp partmoveresize.cpp removefs.cpp
	      nomungecheck.cpp processprogress.cpp pvchange.cpp pvcreate.cpp 
	      pvmove.cpp pvremove.cpp pvtree.cpp removemissing.cpp removemirror.cpp 
	      removemirrorleg.cpp shrinkfs.cpp shrinkpv.cpp 
	      sizetostring.cpp storagepartition.cpp storagedevice.cpp topwindow.cpp 
	      tablecreate.cpp unmount.cpp 
	      vgchangealloc.cpp vgchangeavailable.cpp vgexport.cpp vgimport.cpp
	      vgchangeextent.cpp vgchangelv.cpp vgchangepv.cpp 
	      vgchangeresize.cpp vgcreate.cpp vgextend.cpp vginfolabels.cpp 
	      vgreduce.cpp vgremove.cpp vgtree.cpp volgroup.cpp vgreduceone.cpp
	      vgrename.cpp volumegrouptab.cpp)
 
kde4_add_executable(kvpm ${kvpm_SRCS})
target_link_libraries(kvpm ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${QT_LIBRARIES} blkid parted)
INSTALL(TARGETS kvpm DESTINATION bin)

=== kvpm/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/benscott/kvpm/trunk/kvpm

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/benscott/kvpm/trunk/kvpm

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/benscott/kvpm/trunk/kvpm/CMakeFiles $(CMAKE_ALL_PROGRESS)
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/benscott/kvpm/trunk/kvpm/CMakeFiles 0

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

#=============================================================================
# Target rules for targets named kvpm

# Build rule for target.
kvpm: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kvpm

# fast build rule for target.
kvpm/fast:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/build

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build

# target to build an object file
addmirror.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/addmirror.o

# target to preprocess a source file
addmirror.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/addmirror.i

# target to generate assembly for a file
addmirror.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/addmirror.s

# target to build an object file
devicemodel.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicemodel.o

# target to preprocess a source file
devicemodel.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicemodel.i

# target to generate assembly for a file
devicemodel.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicemodel.s

# target to build an object file
deviceproperties.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/deviceproperties.o

# target to preprocess a source file
deviceproperties.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/deviceproperties.i

# target to generate assembly for a file
deviceproperties.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/deviceproperties.s

# target to build an object file
devicepropertiesstack.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicepropertiesstack.o

# target to preprocess a source file
devicepropertiesstack.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicepropertiesstack.i

# target to generate assembly for a file
devicepropertiesstack.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicepropertiesstack.s

# target to build an object file
devicesizechart.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicesizechart.o

# target to preprocess a source file
devicesizechart.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicesizechart.i

# target to generate assembly for a file
devicesizechart.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicesizechart.s

# target to build an object file
devicesizechartseg.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicesizechartseg.o

# target to preprocess a source file
devicesizechartseg.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicesizechartseg.i

# target to generate assembly for a file
devicesizechartseg.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicesizechartseg.s

# target to build an object file
devicetab.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicetab.o

# target to preprocess a source file
devicetab.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicetab.i

# target to generate assembly for a file
devicetab.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicetab.s

# target to build an object file
devicetreeview.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicetreeview.o

# target to preprocess a source file
devicetreeview.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicetreeview.i

# target to generate assembly for a file
devicetreeview.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/devicetreeview.s

# target to build an object file
fsprobe.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/fsprobe.o

# target to preprocess a source file
fsprobe.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/fsprobe.i

# target to generate assembly for a file
fsprobe.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/fsprobe.s

# target to build an object file
kvpm_automoc.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/kvpm_automoc.o

# target to preprocess a source file
kvpm_automoc.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/kvpm_automoc.i

# target to generate assembly for a file
kvpm_automoc.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/kvpm_automoc.s

# target to build an object file
logvol.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/logvol.o

# target to preprocess a source file
logvol.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/logvol.i

# target to generate assembly for a file
logvol.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/logvol.s

# target to build an object file
lvactionsmenu.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvactionsmenu.o

# target to preprocess a source file
lvactionsmenu.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvactionsmenu.i

# target to generate assembly for a file
lvactionsmenu.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvactionsmenu.s

# target to build an object file
lvchange.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvchange.o

# target to preprocess a source file
lvchange.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvchange.i

# target to generate assembly for a file
lvchange.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvchange.s

# target to build an object file
lvcreate.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvcreate.o

# target to preprocess a source file
lvcreate.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvcreate.i

# target to generate assembly for a file
lvcreate.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvcreate.s

# target to build an object file
lvproperties.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvproperties.o

# target to preprocess a source file
lvproperties.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvproperties.i

# target to generate assembly for a file
lvproperties.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvproperties.s

# target to build an object file
lvpropertiesstack.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvpropertiesstack.o

# target to preprocess a source file
lvpropertiesstack.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvpropertiesstack.i

# target to generate assembly for a file
lvpropertiesstack.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvpropertiesstack.s

# target to build an object file
lvreduce.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvreduce.o

# target to preprocess a source file
lvreduce.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvreduce.i

# target to generate assembly for a file
lvreduce.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvreduce.s

# target to build an object file
lvremove.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvremove.o

# target to preprocess a source file
lvremove.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvremove.i

# target to generate assembly for a file
lvremove.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvremove.s

# target to build an object file
lvsizechart.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvsizechart.o

# target to preprocess a source file
lvsizechart.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvsizechart.i

# target to generate assembly for a file
lvsizechart.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvsizechart.s

# target to build an object file
lvsizechartseg.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvsizechartseg.o

# target to preprocess a source file
lvsizechartseg.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvsizechartseg.i

# target to generate assembly for a file
lvsizechartseg.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/lvsizechartseg.s

# target to build an object file
main.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/main.o

# target to preprocess a source file
main.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/main.i

# target to generate assembly for a file
main.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/main.s

# target to build an object file
masterlist.o:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/masterlist.o

# target to preprocess a source file
masterlist.i:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/masterlist.i

# target to generate assembly for a file
masterlist.s:
	$(MAKE) -f CMakeFiles/kvpm.dir/build.make CMakeFiles/kvpm.dir/masterlist.s

# target to build an object file
mkfs.o:

=== debian/changelog ===
kvpm (0.6.2-0ubuntu4) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh7 rules.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Remove left over debian/patches, they aren't applied anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 04:05:53 +0200

kvpm (0.6.2-0ubuntu3) lucid; urgency=low

  * Build against parted 2.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 00:50:43 +0000

kvpm (0.6.2-0ubuntu2) karmic; urgency=low

  * No-change rebuild for libparted1.8-10 -> libparted1.8-12 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 28 Aug 2009 11:29:53 +1000

kvpm (0.6.2-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * New upstream release
  * debian/rules:
    - Transition to kde.mk from pkg-kde-tools
  * debian/control:
    - Add build-dep on pkg-kde-tools
    - Remove now-unnecessary build-dep on cmake
    - Bump Standards-Version to 3.8.1
    - kvpm depends on ${misc:Depends} for lintian happines
  * debian/kvpm.desktop:
    - Give kvpm.desktop an icon (drive-harddisk) (LP: #297981)

  [ Guillaume Martres ]
  * debian/rules:
    - removed now unncessary THIS_SHOULD_GO_TO_UNSTABLE := 1
  * debian/copyright:
    - replaces (C) with © as suggested by Lintian
    - update copyright years
  * debian/control:
    - fixed a typo in the Vcs-* fields
  * debian/patches/kubuntu_01_add_install_target.diff:
    - removed, applied upstream
  * debian/patches/kubuntu_02_missing_include.diff:
    - removed, applied upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Jun 2009 19:37:15 -0400

kvpm (0.4.5b-0ubuntu5) jaunty; urgency=low

  * Add ext4 support (LP: #335972).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Apr 2009 02:32:50 +0100

kvpm (0.4.5b-0ubuntu4) jaunty; urgency=low

  * No change rebuild for libparted1.8-9 -> libparted1.8-10 transition
  
 -- David Futcher <bobbo@ubuntu.com>  Thu, 11 Dec 2008 22:26:11 +0000

kvpm (0.4.5b-0ubuntu3) intrepid; urgency=low

  * debian/rules:
    - includes /usr/share/cdbs/1/class/kde4.mk
    - override DEB_DH_INSTALL_SOURCEDIR so that debian/install can install
      files from debian/
  * Removed debian/cdbs:
    - not needed with kde4.mk
  * debian/control:
    - ensure cdbs version is (>= 0.4.52ubuntu2) for kde4.mk support

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 26 Aug 2008 21:28:41 +0200

kvpm (0.4.5b-0ubuntu2) intrepid; urgency=low

  * Added kubuntu_02_missing_include.diff, fix FTBFS (LP: #250551)

 -- Guillaume Martres <smarter@ubuntu.com>  Mon, 21 Jul 2008 16:29:25 +0200

kvpm (0.4.5b-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #246032)

 -- Guillaume Martres <smarter@ubuntu.com>  Sat, 28 Jun 2008 18:54:50 +0200

=== debian/control ===
Source: kvpm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Martres <smarter@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev,
               libparted-dev,
               libblkid-dev
Standards-Version: 3.8.4
Vcs-Bzr: lp:~kubuntu-members/kvpm/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kvpm/ubuntu

Package: kvpm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2
Description: LVM frontend for KDE
 The KDE Volume Partition Manager is a GUI for the Linux Volume Manager
 project and libparted. It uses the standard LVM tools and programs to work
 with logical volumes. It can also format volumes and mount them.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde --sourcedirectory=kvpm $@

=== debian/watch ===
version=3

http://sf.net/kvpm/kvpm-([^alpha]+)\.tar\.gz

## kvpm 0.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project (kvpm)
 
SET(CMAKE_INSTALL_PREFIX "/usr")

find_package(KDE4 REQUIRED)
include_directories( ${KDE4_INCLUDES} ${QT4_INCLUDES} )
add_subdirectory( kvpm )
add_subdirectory( docbook )
add_subdirectory( images )
add_subdirectory( icons/local )
add_subdirectory( icons/app )
 
set_target_properties(kvpm PROPERTIES COMPILE_FLAGS "-std=gnu++98")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "RelWithDebInfo")
ENDIF(NOT CMAKE_BUILD_TYPE)

install(FILES kvpm.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES "kvpm.1" DESTINATION ${MAN_INSTALL_DIR}/man1 COMPONENT doc)

=== docbook/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kvpm)

=== kvpm/CMakeLists.txt ===
 
set(kvpm_SRCS changemirror.cpp kvpmconfigdialog.cpp deviceproperties.cpp 
              devicepropertiesstack.cpp devicesizechart.cpp devicesizechartseg.cpp 
	      devicetree.cpp devicetab.cpp executablefinder.cpp deviceactionsmenu.cpp fsck.cpp
	      fsblocksize.cpp fsdata.cpp fsextend.cpp dualselectorbox.cpp
	      fsprobe.cpp fsreduce.cpp logvol.cpp lvactionsmenu.cpp lvchange.cpp lvrename.cpp
	      lvcreate.cpp lvproperties.cpp lvpropertiesstack.cpp lvreduce.cpp 
	      lvremove.cpp lvsizechart.cpp main.cpp maxfs.cpp mkfs.cpp masterlist.cpp  mount.cpp 
	      lvsizechartseg.cpp mountentry.cpp mounttables.cpp maintabwidget.cpp 
	      pvextend.cpp pvreduce.cpp partremove.cpp pvgroupbox.cpp
	      partitiongraphic.cpp partadd.cpp pvproperties.cpp  pvpropertiesstack.cpp 
	      physvol.cpp partchange.cpp removefs.cpp progressbox.cpp
	      misc.cpp pedexceptions.cpp processprogress.cpp pvchange.cpp snapmerge.cpp
	      pvmove.cpp pvtree.cpp removemissing.cpp removemirror.cpp sizeselectorbox.cpp
	      removemirrorleg.cpp storagepartition.cpp storagedevice.cpp 
	      topwindow.cpp tablecreate.cpp unmount.cpp vgchange.cpp vgexport.cpp vgimport.cpp
	      vgcreate.cpp vgextend.cpp vginfolabels.cpp 
	      vgreduce.cpp vgremove.cpp vgtree.cpp volgroup.cpp vgreduceone.cpp
	      vgrename.cpp volumegrouptab.cpp vgsplit.cpp vgmerge.cpp)
 
kde4_add_executable(kvpm ${kvpm_SRCS})
target_link_libraries(kvpm ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${QT_LIBRARIES} blkid parted lvm2app)

INSTALL( TARGETS kvpm DESTINATION ${SBIN_INSTALL_DIR} )


IF (CMAKE_COMPILER_IS_GNUCXX)
set_target_properties(kvpm PROPERTIES COMPILE_FLAGS "-std=gnu++98")
set_target_properties(kvpm PROPERTIES LINK_FLAGS "-Wl,--as-needed")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb")

=== debian/changelog ===
kvpm (0.8.6-3) unstable; urgency=critical
	
  [ Benjamin J. Scott ]
  * Changed file kvpm/partchange.cpp to fix potential data corruption bug 
    when moving a partition on a disk with mounted partitions (Closes: #703919).

 -- Benjamin J. Scott <benscott@nwlink.com>  Sun, 24 Feb 2013 17:25:21 -0700

kvpm (0.8.6-2) unstable; urgency=low

  [ Benjamin J. Scott ]
  * Added system header includes to fix FTBFS with G++ 4.7 (Closes: #667232).

  [ Kai Wasserbäch ]
  * debian/control: Added Vcs-* fields.

 -- Benjamin J. Scott <benscott@nwlink.com>  Sat, 14 Apr 2012 17:25:21 -0700

kvpm (0.8.6-1) unstable; urgency=low

  * Initial release (Closes: #661554)

 -- Benjamin J. Scott <benscott@nwlink.com>  Sun, 18 Mar 2012 14:52:51 -0700

=== debian/control ===
Source: kvpm
Section: admin
Priority: optional
Maintainer: Benjamin J. Scott <benscott@nwlink.com>
Uploaders: Kai Wasserbäch <curan@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 pkg-kde-tools,
 kdelibs5-dev (>= 4:4.4),
 libblkid-dev,
 libparted0-dev (>= 2.3),
 liblvm2-dev (>= 2.02.88-2)
Standards-Version: 3.9.3.1
Homepage: http://sourceforge.net/projects/kvpm/
Vcs-Browser: http://kvpm.svn.sourceforge.net/viewvc/kvpm/debian/
Vcs-Svn: https://kvpm.svn.sourceforge.net/svnroot/kvpm/debian/

Package: kvpm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ntfs-3g, reiserfsprogs, dosfstools, jfsutils, xfsprogs
Suggests: reiser4progs, btrfs-tools
Description: Logical volume manager and disk partitioner GUI based on KDE
 KVPM is a graphical user interface for the Linux Volume Manager (LVM) and
 libparted.  It uses the standard LVM tools and programs to manipulate logical
 volumes, such as resizing, deleting or creating them. It can also format
 volumes and mount or unmount them. Creating, deleting and resizing partitions
 is also supported.

Package: kvpm-dbg
Architecture: any
Depends: kvpm (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: kvpm's debugging symbols
 KVPM is a graphical user interface for the Linux Volume Manager (LVM) and
 libparted.  It uses the standard LVM tools and programs to manipulate logical
 volumes, such as resizing, deleting or creating them. It can also format
 volumes and mount or unmount them. Creating, deleting and resizing partitions
 is also supported.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --dbg-package=kvpm-dbg --with kde

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/kvpm/kvpm-(.+)\.tar\.gz debian uupdate

## kvpm 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,10 @@
 add_subdirectory( icons/local )
 add_subdirectory( icons/app )
  
-set_target_properties(kvpm PROPERTIES COMPILE_FLAGS "-std=gnu++98")
+
+IF(CMAKE_BUILD_TYPE EQUAL "Debian")
+  SET(CMAKE_BUILD_TYPE "RelWithDebInfo")
+ENDIF()
 
 IF(NOT CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE "RelWithDebInfo")

=== kvpm/CMakeLists.txt ===
 
set(kvpm_SRCS allocationpolicy.cpp changemirror.cpp kvpmconfigdialog.cpp deviceproperties.cpp 
              devicepropertiesstack.cpp devicesizechart.cpp devicesizechartseg.cpp externalraid.cpp
	      devicetree.cpp devicetab.cpp executablefinder.cpp devicemenu.cpp deviceactions.cpp fsck.cpp 
	      fsblocksize.cpp fsdata.cpp fsextend.cpp dualselectorbox.cpp fsprobe.cpp fsreduce.cpp 
	      kvpmdialog.cpp lvactions.cpp logvol.cpp lvactionsmenu.cpp lvchange.cpp lvrename.cpp
	      lvcreate.cpp lvcreatebase.cpp lvproperties.cpp lvpropertiesstack.cpp lvreduce.cpp 
	      lvremove.cpp lvsizechart.cpp lvmconfig main.cpp maxfs.cpp mkfs.cpp masterlist.cpp
	      mount.cpp lvsizechartseg.cpp mountentry.cpp mounttables.cpp maintabwidget.cpp 
	      pvextend.cpp pvreduce.cpp partremove.cpp pvgroupbox.cpp partbase.cpp
	      partitiongraphic.cpp partadd.cpp pvproperties.cpp  pvpropertiesstack.cpp 
	      physvol.cpp partchange.cpp progressbox.cpp repairmissing.cpp partflag.cpp
	      pvactions.cpp pvactionsmenu.cpp resync.cpp
	      misc.cpp pedexceptions.cpp processprogress.cpp pvchange.cpp snapmerge.cpp
	      pvmove.cpp pvtree.cpp vgremovemissing.cpp removemirror.cpp sizeselectorbox.cpp
	      removemirrorleg.cpp storagepartition.cpp storagedevice.cpp storagebase.cpp 
	      thincreate.cpp topwindow.cpp tablecreate.cpp unmount.cpp vgchange.cpp vgexport.cpp 
	      vgimport.cpp vgcreate.cpp vgextend.cpp vginfolabels.cpp vgactions.cpp
	      vgreduce.cpp vgremove.cpp vgtree.cpp volgroup.cpp vgwarning.cpp
	      vgrename.cpp volumegrouptab.cpp vgsplit.cpp vgmerge.cpp)

kde4_add_executable(kvpm ${kvpm_SRCS})
target_link_libraries(kvpm ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${QT_LIBRARIES} blkid parted lvm2app devmapper)

INSTALL( TARGETS kvpm DESTINATION ${SBIN_INSTALL_DIR} )

set_target_properties(kvpm PROPERTIES COMPILE_FLAGS "-Wall -Wno-psabi -Wno-cast-align -Wstrict-aliasing")
set_target_properties(kvpm PROPERTIES LINK_FLAGS "-Wl,--as-needed")

IF(CMAKE_COMPILER_IS_GNUCXX)
  SET(CMAKE_CXX_FLAGS "-std=gnu++11")
  SET(CMAKE_C_FLAGS "-std=gnu99")
ELSE()
  SET(CMAKE_CXX_FLAGS "-std=c++11")
  SET(CMAKE_C_FLAGS "-std=c99")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb -O0")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-ggdb -O2")

=== icons/local/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/kvpm/icons   )

=== debian/changelog ===
kvpm (0.9.9-1) unstable; urgency=low

  * New upstream release (Closes: #710287).

 -- Benjamin J. Scott <benscott@nwlink.com>  Fri, 5 Sep 2014 10:14:00 -0700

kvpm (0.8.6-4) unstable; urgency=low

  * Changed file debian/patches/bug-667232.patch. Fixed typo in patch file
    that caused FTBFS in last archive rebuild (Closes: #753175).

 -- Benjamin J. Scott <benscott@nwlink.com>  Tue, 1 Jul 2014 10:14:00 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin J. Scott <benscott@nwlink.com>
-Uploaders: Kai Wasserbäch <curan@debian.org>
+Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends:
  debhelper (>= 9),
  cmake,
@@ -10,8 +10,8 @@
  kdelibs5-dev (>= 4:4.4),
  libblkid-dev,
  libparted0-dev (>= 2.3),
- liblvm2-dev (>= 2.02.88-2)
-Standards-Version: 3.9.3.1
+ liblvm2-dev (>= 2.02.109)
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/kvpm/
 Vcs-Browser: http://kvpm.svn.sourceforge.net/viewvc/kvpm/debian/
 Vcs-Svn: https://kvpm.svn.sourceforge.net/svnroot/kvpm/debian/

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

%:
	dh $@ --parallel --dbg-package=kvpm-dbg --with kde

## kvpm 0.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,35 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
+cmake_policy(SET CMP0059 NEW)
 project (kvpm)
  
 SET(CMAKE_INSTALL_PREFIX "/usr")
 
-find_package(KDE4 REQUIRED)
-include_directories( ${KDE4_INCLUDES} ${QT4_INCLUDES} )
+set(QT_MIN_VERSION "5.6.1")
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+  Core
+  Gui
+  Widgets
+)
+
+find_package(ECM 5.23 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
+include(ECMInstallIcons)
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(FeatureSummary)
+
+# Load the frameworks we need
+find_package(KF5 5.23 REQUIRED
+  CoreAddons 
+  DocTools
+  I18n
+  KDELibs4Support
+)
+
+# find_package(KDE4 REQUIRED)
+include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS})
 add_subdirectory( kvpm )
 add_subdirectory( docbook )
 add_subdirectory( images )
@@ -22,3 +47,5 @@
 
 install(FILES kvpm.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES "kvpm.1" DESTINATION ${MAN_INSTALL_DIR}/man1 COMPONENT doc)
+
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== docbook/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kvpm)

=== images/CMakeLists.txt ===
install(FILES splash.png DESTINATION ${DATA_INSTALL_DIR}/kvpm/images )

=== kvpm/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 	      vgreduce.cpp vgremove.cpp vgtree.cpp volgroup.cpp vgwarning.cpp
 	      vgrename.cpp volumegrouptab.cpp vgsplit.cpp vgmerge.cpp)
 
-kde4_add_executable(kvpm ${kvpm_SRCS})
-target_link_libraries(kvpm ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${QT_LIBRARIES} blkid parted lvm2app devmapper)
+add_executable(kvpm ${kvpm_SRCS})
+target_link_libraries(kvpm KF5::CoreAddons KF5::I18n KF5::KDELibs4Support blkid parted lvm2app devmapper)
 
 INSTALL( TARGETS kvpm DESTINATION ${SBIN_INSTALL_DIR} )
 
@@ -37,4 +37,3 @@
 
 SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb -O0")
 SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-ggdb -O2")
-

=== icons/app/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-apps-kvpm.png
    32-apps-kvpm.png
    64-apps-kvpm.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== icons/local/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-add.png
    16-actions-arrow_divide.png
    16-actions-arrow_join.png
    16-actions-arrow_refresh.png
    16-actions-bullet_star.png
    16-actions-camera_add.png
    16-actions-cross.png
    16-actions-delete.png
    16-actions-error_go.png
    16-actions-lightning_add.png
    16-actions-lightning_delete.png
    16-actions-lorry.png
    16-actions-page_white_add.png
    16-actions-page_white_camera.png
    16-actions-resultset_last.png
    16-actions-wrench.png
    16-status-exclamation.png
    16-status-lightbulb.png
    16-status-lightbulb_off.png
    DESTINATION ${DATA_INSTALL_DIR}/kvpm/icons
    THEME hicolor
)

=== debian/changelog ===
kvpm (0.9.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * Add e2fsprogs to Recommends (Closes: #887196)
  * Drop kdelibs5-dev build-dependency as pointed out by Adrian Bunk
    (Closes: #883590)
  
  [ Nicholas D Steeves ]
  * Change Suggests: btrfs-tools to btrfs-progs (Closes: #878917)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Feb 2018 07:28:35 +0100

kvpm (0.9.10-1) unstable; urgency=low

  [ Benjamin J. Scott ]
  * New upstream release

 -- Benjamin J. Scott <benscott@nwlink.com>  Wed, 16 Nov 2016 13:41:00 -0700

=== debian/control ===
Source: kvpm
Section: admin
Priority: optional
Maintainer: Benjamin J. Scott <benscott@nwlink.com>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends:
 debhelper (>= 9.20160114),
 cmake,
 extra-cmake-modules,
 pkg-kde-tools,
 libkf5kdelibs4support-dev,
 libblkid-dev,
 libparted-dev (>= 3.2),
 liblvm2-dev (>= 2.02.164)
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/kvpm/
Vcs-Browser: https://kvpm.svn.sourceforge.net/viewvc/kvpm/debian/
Vcs-Svn: https://kvpm.svn.sourceforge.net/svnroot/kvpm/

Package: kvpm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: e2fsprogs, ntfs-3g, reiserfsprogs, dosfstools, jfsutils, xfsprogs
Suggests: reiser4progs, btrfs-progs
Description: Logical volume manager and disk partitioner GUI based on KDE
 KVPM is a graphical user interface for the Linux Volume Manager (LVM) and
 libparted.  It uses the standard LVM tools and programs to manipulate logical
 volumes, such as resizing, deleting or creating them. It can also format
 volumes and mount or unmount them. Creating, deleting and resizing partitions
 is also supported.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

%:
	dh $@ --parallel --with kde

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbgsym-migration='kvpm-dbg (<< 0.9.10-1~)'

=== debian/watch ===
# watch control file for uscan
version=3
https://sf.net/kvpm/kvpm-(.+)\.tar\.gz debian uupdate
